import unit4.turtleLib.Turtle;


public class Histogram  
{
	public static void main(String[] args)
	{
		//      
		int [] arr = new int [25];
		
		for(int i = 0; i<arr.length;i++)
		{	
			arr[i]= (int)((Math.random()*100)+1);
			System.out.print(arr[i]+",");
		}
		
		//       
		Turtle turtle = new Turtle();
		turtle.setDelay(10);
		turtle.turnLeft(90);
		turtle.moveForward(100);
		turtle.turnRight(90);
		
		// .    
		drawSticksGraph(turtle, arr);
		
		// .     
		drawHistogram(turtle, arr);
	}

	// .    
	public static void drawSticksGraph(Turtle turtle, int[] grades)
	{		
		for(int i = 0; i<grades.length;i++)
		{		
			if(grades[i]<56)
				drawCol(turtle, 10, "Red", grades[i]);
			else
				drawCol(turtle, 10, "Blue", grades[i]);
		}
	}
	
	// .     
	public static void drawHistogram(Turtle turtle, int[] grades)
	{
		int[] histogram = new int[10];
		
		for (int i = 0; i < histogram.length; i++) 
			histogram[i]=0;
		
		for(int i = 0; i<grades.length;i++)		
			histogram[(grades[i]-1)%10]++;
		
		for(int i = 0; i<histogram.length;i++)	
			drawCol(turtle, 10, "Black", histogram[i]*10);
	}
	
	//     
	public static void drawCol(Turtle t, int b, String color, int grade)
	{
		t.setTailColor(color);
		t.tailDown();
		for(int i=1; i<=b; i++)
		{
			t.moveForward(grade);
			t.moveBackward(grade);
			t.turnRight(90);
			if(i!=b)
				t.moveForward(1);
			t.turnLeft(90);
		}
		t.setTailColor("white");
		t.turnLeft(90);
		t.tailUp();
		t.turnRight(180);
		t.moveForward(b/2);
		t.turnLeft(90);
	}
}
			
			
	
	
